Unsubscribe the token's address (idempotent; RFC 8058 one-click) — emailunsubscribe
POST
/email/unsubscribe/{token}
const url = 'https://example.com/api/email/unsubscribe/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/email/unsubscribe/exampleAdds the token’s address to email_suppressions (ON CONFLICT DO NOTHING) and
renders a done page. Target of the confirm page’s button and of the RFC 8058
one-click POST (List-Unsubscribe=One-Click body, ignored). Malformed or
unknown token: 404 page. Rate-limited per IP, per machine (30/min).
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” token
required
string
Unsubscribe token (UUID) from the email.
Responses
Section titled “ Responses ”Unsubscribed (also on a repeat)
Media type text/html
string
Malformed or unknown token
Media type text/html
string
Rate limited
Write failed (generic page, no detail)
Media type text/html
string